using C1.Win.TreeView;
using CheckBox_TreeView;
using System.Diagnostics;

namespace C1TreeView_HideCheckBox
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //Creating sample nodes
            for (int i = 1; i < 4; i++)
            {
                var node = c1TreeView1.Nodes.Add($"Parent {i}");

                for (int j = 0; j < 2; j++)
                {
                    node.Nodes.Add($"Child {j}");
                }
            }

            /* Using the feature
             * To hide the checkbox - You will need to set the Tag property of the required C1TreeNode to False
             * To show the checkbox - You can just leave the Tag preoperty null
            */
            foreach (C1TreeNode node in c1TreeView1.Nodes)
            {
                if (node.HasChildren)
                    node.Tag = false;
            }

            //using our custom presenter on first column
            c1TreeView1.Columns[0].CustomContentPresenter = new CustomPresenter();


            c1TreeView1.CheckStateChanged += C1TreeView1_CheckStateChanged;
        }

        private void C1TreeView1_CheckStateChanged(object sender, C1TreeViewEventArgs e)
        {
            Debug.WriteLine(e.Node.Checked);
        }
    }
}